<?php
if (!defined("root")) {
	define("root", $_SERVER['DOCUMENT_ROOT']);
}
require(root."/___simple_config.php");
session_start();
require(root."/".adminFolder."/_common.php");
require(root."/".adminFolder."/_lib/db.php");
require(root."/".adminFolder."/_lib/main.php");
require(root."/".adminFolder."/_lib/bootstraps.php");
$pageSubOf = "pages";
$pageName = "contact-categories";
$pageTitle = "Contact Categories";
$thisUrl = "contact-categories";
$ajax_page = "ajax_contact-categories.php";
$pageUrl = "/".adminFolder."/$thisUrl";
$a = cekpost(cleanQuery($_GET["a"]), "");
$err = "";
if ($a=="section_main") {
	$fil_nama = trim(cekpost(cleanQuery($_REQUEST["fil_nama"]), ""));
	$fil_isactive = trim(cekpost(cleanQuery($_REQUEST["fil_isactive"]), ""));
	$swhere = '';
	if ($fil_nama!="") { $swhere .= " AND a.nama LIKE '%$fil_nama%' "; }
	if ($fil_isactive!="") { $swhere .= " AND a.isactive = '$fil_isactive' "; }
	
	$rs=array(); $q="SELECT a.* FROM contact_cats a WHERE 1=1 $swhere";
	callRS($rs, $q);
	if (count($rs)!=0) {
		$ld = 20;
		$cp = cekpost(cleanQuery($_GET["cp"]), "1");
		$tp = intval(count($rs) / $ld) + (count($rs)%$ld==0?0:1);
		$sr = ($cp-1) * $ld;
		$pagination = '';
		if ($tp!=1) {
			$pagination .= ('<ul class="pagination pagination-sm">');
				$disabled = '';
				$purl = '#';
				$onclick = '';
				if ($cp<=1) {
					$disabled = 'disabled';
					$onclick = ' onclick="return false;" ';
				}
				$pagination .= ('<li class="'.$disabled.'"><a href="'.$purl.'" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', 1);return false;"').'>&lt;&lt;</a></li>');
				$pagination .= ('<li class="'.$disabled.'"><a href="'.$purl.'" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.($cp-1).');return false;"').'>&lt;</a></li>');
				for ($c=1;$c<=$tp;$c++) {
					$active = '';
					$purl = '#';
					$disabled = '';
					$onclick = '';
					if ($c==$cp) {
						$active = 'active';
					} else {
						$purl = '#';
						$onclick = ' onclick="filterReload(\''.$pageName.'\', '.$c.');return false;" ';
					}
					$pagination .= ('<li class="'.$active.' '.$disabled.'"><a href="'.$purl.'" '.$onclick.'>'.$c.'</a></li>');
				}
				$disabled = '';
				$onclick = '';
				if ($cp>=$tp) {
					$disabled = 'disabled';
					$onclick = ' onclick="return false;" ';
				}
				$pagination .= ('<li class="'.$disabled.'"><a href="#" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.($cp+1).');return false;"').'>&gt;</a></li>');
				$pagination .= ('<li class="'.$disabled.'"><a href="#" '.($onclick!=""?$onclick:'onclick="filterReload(\''.$pageName.'\', '.$tp.');return false;"').'>&gt;&gt;</a></li>');
			$pagination .= ('</ul>');
		}
		cout('<div class="alert alert-info" role="alert"><strong>Total whole data</strong> <span class="badge">'.count($rs).'</span></div>');
		
		if ($tp!=1) {
			cout($pagination);
		}
		cout('<table class="table table-striped table-bordered">');
			cout('<thead>');
				cout('<tr>');
					cout('<th class="text-center">#ID</th>');
					cout('<th class="text-center">Name</th>');
					cout('<th class="text-center">Active Status</th>');
					cout('<th class=""></th>');
				cout('</tr>');
			cout('</thead>');
			cout('<tbody>');
			$cnt = 0;
			for ($i=$sr;$i<count($rs) && $cnt<$ld;$i++) {
				$cnt++;
				$kdcontact_cat = $rs[$i]["kdcontact_cat"];
				if (intval($rs[$i]["isactive"])==0) {
					$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$kdcontact_cat.', '.$rs[$i]["isactive"].');return false;">Non-Active</a>';
				} else {
					$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$kdcontact_cat.', '.$rs[$i]["isactive"].');return false;">Active</a>';
				}
				cout('<tr>');
					cout('<td class="text-center">'.$kdcontact_cat.'</td>');
					cout('<td class="text-center"><a href="'.$pageUrl.'/view/'.$kdcontact_cat.'/">'.$rs[$i]["nama"].'</a></td>');
					cout('<td class="text-center isactive'.$kdcontact_cat.'">'.$isactive.'</td>');
					cout('<td class="text-center">');
						cout('<a href="'.$pageUrl.'/edit/'.$kdcontact_cat.'/"><span class="glyphicon glyphicon-pencil"></span><span class="hidden-xs hidden-sm"> Edit</span></a>');
						cout(BSTextSeparator());
						cout('<a href="'.$pageUrl.'/delete/'.$kdcontact_cat.'/"><span class="glyphicon glyphicon-trash"></span><span class="hidden-xs hidden-sm"> Delete</span></a>');
					cout('</td>');
				cout('</tr>');
			}
			cout('</tbody>');
		cout('</table>');
		
		if ($tp!=1) {
			cout($pagination);
		}
		cout('<div class="alert alert-info" role="alert"><strong>Total whole data</strong> <span class="badge">'.count($rs).'</span></div>');
		$act_ket = "Contact Categories: Main List";
		if ($swhere!="") { $act_ket .= ": ".cleanQuery($swhere).""; }
		updateUserActivities($act_ket);
	} else {
		cout('<div class="alert alert-info" role="alert">');
			cout('<strong>No data available.</strong> Please add new data for display.');
		cout('</div>');
	}
}
if ($a=="chactive") {
	$kd = cekpost(cleanQuery($_REQUEST["kd"]), "");
	$ca = cekpost(cleanQuery($_REQUEST["ca"]), "");
	$kd = (trim($kd)=="undefined")?'':$kd;
	$ca = (trim($ca)=="undefined")?'':$ca;
	if ($kd!="" && $kd!=0 && $ca!="") {
		$na = $ca==0?1:0;
		$modby = $_SESSION["user"]["inisial"];
		$modtime = time();
		$qu = "UPDATE contact_cats SET isactive='$na', modby='$modby', modtime='$modtime' WHERE kdcontact_cat='$kd'";
		execRS($qu);
		$act_ket = "Contact Categories: Ch. Active [kd: $kd][from Act: $ca][to Act: $na]";
		updateUserActivities($act_ket);
		if (intval($na)==0) {
			$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$kd.', '.$na.');return false;">Non-Active</a>';
		} else {
			$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$kd.', '.$na.');return false;">Active</a>';
		}
		echo $isactive;
	}
}

if ($a=="section_view") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	$rs=array(); $q="SELECT a.* FROM contact_cats a WHERE kdcontact_cat='$id'";
	callRS($rs, $q);
	if (intval($rs[0]["isactive"])==0) {
		$isactive = '<a href="#" title="Activate" onclick="chActive(\''.$pageName.'\', '.$rs[0]["kdcontact_cat"].', '.$rs[0]["isactive"].');return false;">Non-Active</a>';
	} else {
		$isactive = '<a href="#" title="Deactivate" onclick="chActive(\''.$pageName.'\', '.$rs[0]["kdcontact_cat"].', '.$rs[0]["isactive"].');return false;">Active</a>';
	}
	$creby = (trim($rs[0]["creby"])!=""?'By: <strong>'.$rs[0]["creby"].'</strong>':'By: &lt;<em>no data</em>&gt;').(trim($rs[0]["cretime"])?' ('.date('d M Y, H:i:s A', $rs[0]["cretime"]).')':' &lt;<em>no data</em>&gt;');
	$modby = (trim($rs[0]["modby"])!=""?'By: <strong>'.$rs[0]["modby"].'</strong>':'By: &lt;<em>no data</em>&gt;').(trim($rs[0]["modtime"])?' ('.date('d M Y, H:i:s A', $rs[0]["modtime"]).')':' &lt;<em>no data</em>&gt;');
	cout('<dl class="dl-horizontal dldata">');
		cout('<dt>Name</dt>');
		cout('<dd>'.$rs[0]["nama"].'</dd>');
		
		cout('<dt>Active Status</dt>');
		cout('<dd class="isactive'.$rs[0]["kdcontact_cat"].'">'.$isactive.'</dd>');
		
		cout('<dt>Created</dt>');
		cout('<dd>'.$creby.'</dd>');
		
		cout('<dt>Modified</dt>');
		cout('<dd>'.$modby.'</dd>');
	cout('</dl>');
	
	$act_ket = "Contact Categories: View: [kdcontact_cat: ".$rs[0]["kdcontact_cat"]."][nama: ".$rs[0]["nama"]."]";
	updateUserActivities($act_ket);
	exit;
}
if ($a=="do_delete") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	if ($kirim=="1") {
		$delby = $_SESSION["user"]["inisial"];
		$deltime = time();
		$kdcontact_cat = cekpost(cleanQuery($_POST["kdcontact_cat"]), "0");
		$rs=array(); $q="SELECT * FROM contact_cats WHERE kdcontact_cat='$kdcontact_cat'";
		callRS($rs, $q);
		
		$q = "DELETE FROM contact_cats WHERE kdcontact_cat='$kdcontact_cat'";
		execRS($q);
		$act_ket = "Contact Categories: Delete: Deleted [kdcontact_cat: $kdcontact_cat][nama: ".$rs[0]["nama"]."][isactive: ".$rs[0]["isactive"]."]";
		updateUserActivities($act_ket);
		cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/";</script>');
		exit;
	}
}
if ($a=="section_delete") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	$rs=array(); $q="SELECT * FROM contact_cats WHERE kdcontact_cat='$id'";
	callRS($rs, $q);
	
	cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_delete" role="form">');
		cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
		cout('<input type="hidden" name="kdcontact_cat" id="kdcontact_cat" value="'.$rs[0]["kdcontact_cat"].'" />');
		cout('<dl class="dl-horizontal dldata">');
			cout('<dt>Name</dt>');
			cout('<dd>'.$rs[0]["nama"].'</dd>');
			
			cout('<dt></dt>');
			cout('<dd><button class="btn btn-primary" type="submit">Delete</button></dd>');
		cout('</dl>');
	cout('</form>');
	$viewFrame = 0;
	if ($viewFrame==1) {
		cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
	} else {
		cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
	}
	$act_ket = "Contact Categories: Deleting... [kd: ".$rs[0]["kd"]."][nama: ".$rs[0]["nama"]."]";
	updateUserActivities($act_ket);
	exit;
}
if ($a=="do_edit") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	$err = "";
	if ($kirim=="1") {
		$kdcontact_cat = cekpost(cleanQuery($_REQUEST["kdcontact_cat"]), "0");
		$nama = cekpost(cleanQuery($_REQUEST["nama"]), "");
		$isactive = cekpost(cleanQuery($_REQUEST["isactive"]), 0);
		if ($nama=="") { $err.= BSErrorMessage('Name must be filled'); }
		if ($err=="") {
			$modby = $_SESSION["user"]["inisial"];
			$modtime = time();
			$q = "UPDATE contact_cats SET nama='$nama', isactive='$isactive', modby='$modby', modtime='$modtime' 
				WHERE kdcontact_cat='$kdcontact_cat'";
			execRS($q);
			$act_ket = "Contact Categories: Edit: Updated [kdcontact_cat: $kdcontact_cat][nama: $nama][isactive: $isactive]";
			updateUserActivities($act_ket);
			cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/view/'.$kdcontact_cat.'/";</script>');
		} else {
			cout('<script type="text/javascript">parent.showError(\''.$err.'\');</script>');
		}
		exit;
	}
	exit;
}
if ($a=="section_edit") {
	$id = cekpost(cleanQuery($_GET["id"]), "0");
	$rs=array(); $q="SELECT * FROM contact_cats WHERE kdcontact_cat='$id'";
	callRS($rs, $q);
	cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_edit" role="form">');
		cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
		cout('<input type="hidden" name="kdcontact_cat" id="kdcontact_cat" value="'.$rs[0]["kdcontact_cat"].'" />');
		cout('<dl class="dl-horizontal dldata">');
			cout('<dt><label for="nama">Name</label></dt>');
			cout('<dd><input class="form-control" type="text" name="nama" id="nama" value="'.$rs[0]["nama"].'" /></dd>');
			
			$isactive0 = intval($rs[0]["isactive"])==0?'selected="selected"':'';
			$isactive1 = intval($rs[0]["isactive"])==1?'selected="selected"':'';
			cout('<dt><label for="isactive">Active Status</label></dt>');
			cout('<dd>
				<select name="isactive" id="isactive" class="form-control">
					<option value="0" '.$isactive0.'>Non-Active</option>
					<option value="1" '.$isactive1.'>Active</option>
				</select>
			</dd>');
			
			cout('<dt></dt>');
			cout('<dd class="err"></dd>');
			
			cout('<dt></dt>');
			cout('<dd><button class="btn btn-primary" type="submit">Update</button></dd>');
		cout('</dl>');
	cout('</form>');
	cout('<script>parent.bindDatePicker(\'.tanggal\');</script>');
	$viewFrame = 0;
	if ($viewFrame==1) {
		cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
	} else {
		cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
	}
	$act_ket = "Contact Categories: Editing... [kd: ".$rs[0]["kd"]."][nama: ".$rs[0]["nama"]."]";
	updateUserActivities($act_ket);
	exit;
}
if ($a=="do_add") {
	$kirim = cekpost(cleanQuery($_REQUEST["kirim"]), "");
	$err = "";
	if ($kirim=="1") {
		$nama = cekpost(cleanQuery($_REQUEST["nama"]), "");
		$isactive = cekpost(cleanQuery($_REQUEST["isactive"]), 0);
		if ($nama=="") { $err.= BSErrorMessage('Name must be filled'); }
		if ($err=="") {
			$creby = $_SESSION["user"]["inisial"];
			$cretime = time();
			$kdcontact_cat = getID("contact_cats", "kdcontact_cat");
			$q = "INSERT INTO contact_cats (kdcontact_cat, nama, isactive, creby, cretime) 
				VALUES ('$kdcontact_cat', '$nama', '$isactive', '$creby', '$cretime')";
			execRS($q);
			$act_ket = "Contact Categories: Add [kd: $kd][nama: $nama][isactive: $isactive]";
			updateUserActivities($act_ket);
			cout('<script type="text/javascript">parent.window.location="'.$pageUrl.'/view/'.$kdcontact_cat.'/";</script>');
		} else {
			cout('<script type="text/javascript">parent.showError(\''.$err.'\');</script>');
		}
		exit;
	}
	exit;
}
if ($a=="section_add") {
	cout('<form method="post" target="quick_iframe" action="/'.adminFolder.'/_ajax/'.$ajax_page.'?a=do_add" role="form">');
		cout('<input type="hidden" name="kirim" id="kirim" value="1" />');
		cout('<dl class="dl-horizontal dldata">');
			cout('<dt><label for="nama">Name</label></dt>');
			cout('<dd><input class="form-control" type="text" name="nama" id="nama" /></dd>');
			
			cout('<dt><label for="isactive">Active Status</label></dt>');
			cout('<dd>
				<select name="isactive" id="isactive" class="form-control">
					<option value="0">Non-Active</option>
					<option value="1">Active</option>
				</select>
			</dd>');
			
			cout('<dt></dt>');
			cout('<dd class="err"></dd>');
			
			cout('<dt></dt>');
			cout('<dd><button class="btn btn-primary" type="submit">Add</button></dd>');
		cout('</dl>');
	cout('</form>');
	cout('<script>parent.bindDatePicker(\'.tanggal\');</script>');
	$viewFrame = 0;
	if ($viewFrame==1) {
		cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="100" style="overflow:;border:1px red solid;" visibility="" scrolling="yes" frameborder="1"></iframe>');
	} else {
		cout('<iframe name="quick_iframe" id="quick_iframe" src="/'.adminFolder.'/_ajax/index.php" width="300" height="11" style="overflow:hidden;" visibility="hidden" scrolling="no" frameborder="0"></iframe>');
	}
	$act_ket = "Contact Categories: Adding...";
	updateUserActivities($act_ket);
	exit;
}
?>